For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get receivement item details

Get details on an item on a receivement.

Required permissions: RECEIVEMENT

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
receivementItemUidstringRequired

Reference to an item on a specific receivement.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivement line

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional
receivementItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serialnumberstringOptional
statusstringRequired
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUserDisplayNamestringRequired

The display name of the user that made the receivement

get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "externalId": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "name": "text",
    "sku": "text"
  },
  "purchaseOrderItemUid": "text",
  "quantity": 1,
  "unitCost": 1,
  "receivementItemUid": "text",
  "serialnumber": "text",
  "status": "text",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "reservations": [
    {
      "orderUid": "text",
      "orderItemUid": "text",
      "orderNumber": "text",
      "quantity": 1,
      "reservationType": "NONE"
    }
  ]
}

Last updated

Was this helpful?